<?php
include '../../../wp-blog-header.php';
page_header();
?>
<h1><a href="/prg/geogpxcleaner">GeoGPX cleaner</a> - web UI</h1>
<h2>#1 upload your GPX file from geocaching.com</h2>
<form enctype="multipart/form-data" action="?" method="post">
<input type="hidden" name="upload" value="1">
Upload GPX: <input name="userfile" type="file" size="50"><br>
<input type="submit" value="Upload">  Max size: <?php echo ini_get("upload_max_filesize"); ?>B
</form>
<?php
if($_POST["upload"]){
  if(is_uploaded_file($_FILES['userfile']['tmp_name'])){
    $newname = basename($_FILES['userfile']['name']);
    if(substr($newname,-4) != ".gpx")
    	echo "<p class='error' style='background:red'><b>Error:</b> only GPX files</p>";
    elseif(!move_uploaded_file($_FILES['userfile']['tmp_name'], dirname(__FILE__) . "/" . $newname))
    	echo "<p class='error'><b>Uploading failed</b>, please, contact the webmaster.</p>";
  }
}




$handle = opendir(".") or die("Unable to open directory, please, contact the webmaster.");
$files = array();
while(($f = readdir($handle)) !== false){
	if(substr($f,-4) == ".gpx" AND substr($f,-7) != ".TB.gpx")
		$files[filemtime($f)] = $f;
}
if(count($files)){
	reset($files);
	krsort($files);
}

echo "<h2>#2 select file to process</h2>";
echo "<form action='geogpxcleaner.php' method='get' target='ifrm'>";
echo "<input type='hidden' name='html' value='1'>";
echo "<p>File: <select name='file'>";
foreach($files as $f) echo "<option value='$f'>$f  (".filesize($f)."B)";
echo "</select>";
echo "<table>";
echo "<tr><th><input type='checkbox' name='tidyxml'> <td>tidyxml";
echo "<tr><th><input size='1' name='lognum'> <td>lognum";
echo "<tr><th><input type='checkbox' name='fixascii'> <td>fixascii";
echo "</table>";
echo "<p><input type='submit' value='Process &amp; show the download link'>";
echo "</form>";


echo "<h2>#3 view the output and download</h2>";
echo "<p>Better downloading using right click and selecting 'Save file as...' / 'Uložit odkaz jako...'.";
echo "<iframe name='ifrm' src='geogpxcleaner.php?html=1' width='660' height='300'></iframe>";
page_footer();



function page_header($title=false){
	
	if(function_exists("get_header")){
	

   add_filter('wp_title', create_function('$a', 'return "GeoGPX cleaner - webui ~";'));

	 get_header();
	 echo '<div id="obsah">';
	 return;
  }

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title><?php echo $title; ?></title>
<style type="text/css">
body{font-family:Verdana,Geneva,Arial,Helvetica,sans-serif;line-height:1.4;font-size:80%;}
label{padding-right:1em;}
</style>
</head>
<body>
<?php
	if($title) echo "<h1>$title</h1>\n\n"; 
}

function page_footer(){
	if(function_exists("get_footer")){
	 echo '</div>';
   get_sidebar();	 
   get_footer();
	 return;
  }
  
	echo '<p style="text-align:right;font-size:80%;margin-top:4em;">GeoGPX cleaner 1.0 | (c) <a href="http://www.zby.cz/prg/geogpxcleaner"><b>zby.cz</b></a> <span title="22.02.2009">&#39;09</span></p>';
	echo '</body>';
	echo '</html>';
}
